package com.hungraim.ltc.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.vo.disable.SrvOrganEmpListVo;

public interface SrvOrganEmpService {

    /**
     * 分页查询护理人员列表
     *
     * @param page           页码参数
     * @param organId        适用机构id
     * @param isInvolveChild 是否包含子机构
     * @param empName        人员姓名
     * @param srvOrganName   护理机构名称
     * @param certifNum      身份证号
     * @param isLock         人员状态
     * @param empType        护理人员类型
     * @return 返回列表
     */
    Page<SrvOrganEmpListVo> getSrvOrganEmpListVo(Page<SrvOrganEmpListVo> page, Long organId, Boolean isInvolveChild, String empName, String srvOrganName, String certifNum, Short isLock, Short empType);

    /**
     * 修改护理人员的状态
     *
     * @param empId  护理人员id
     * @param isLock 状态  0-有效；1-失效；
     * @return 返回操作状态
     */
    void updateSrvEmpStatus(Long empId, Short isLock);
}
