package com.hungraim.ltc.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.dao.ChSrvOrganEmpMapper;
import com.hungraim.ltc.pojo.entity.serviceManage.ChSrvOrganEmp;
import com.hungraim.ltc.pojo.vo.disable.SrvOrganEmpListVo;
import com.hungraim.ltc.service.OrganService;
import com.hungraim.ltc.service.SrvOrganEmpService;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@AllArgsConstructor
public class SrvOrganEmpServiceImpl implements SrvOrganEmpService {

    private final ChSrvOrganEmpMapper chSrvOrganEmpMapper;

    private final OrganService organService;

    @Override
    public Page<SrvOrganEmpListVo> getSrvOrganEmpListVo(Page<SrvOrganEmpListVo> page, Long organId, Boolean isInvolveChild, String empName, String srvOrganName, String certifNum, Short isLock, Short empType) {
        List<Long> organIds = organService.getOrganIds(organId, isInvolveChild);
        return chSrvOrganEmpMapper.getSrvOrganEmpListVo(page, organIds, empName, srvOrganName, certifNum, isLock, empType);
    }

    @Override
    public void updateSrvEmpStatus(Long empId, Short isLock) {
        ChSrvOrganEmp chSrvOrganEmp = new ChSrvOrganEmp();
        chSrvOrganEmp.setEmpId(empId);
        chSrvOrganEmp.setIsLock(isLock);
        chSrvOrganEmpMapper.updateById(chSrvOrganEmp);
    }
}
